Bug 1218141 (CVE-2015-3622) - CVE-2015-3622 libtasn1: heap overflow flaw in _asn1_extract_der_octet()
Summary: CVE-2015-3622 libtasn1: heap overflow flaw in _asn1_extract_der_octet()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-3622
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1218142 1218143 1218144 1421361
Blocks: 1218146
TreeView+ depends on / blocked
 
Reported: 2015-05-04 09:32 UTC by Martin Prpič
Modified: 2019-09-29 13:31 UTC (History)
18 users (show)

Fixed In Version: libtasn1 4.5
Doc Type: Bug Fix
Doc Text:
A heap-based buffer overflow flaw was found in the way the libtasn1 library decoded certain DER-encoded inputs. A specially crafted DER-encoded input could cause an application using libtasn1 to perform an invalid read, causing the application to crash.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:41:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1860 normal SHIPPED_LIVE Moderate: libtasn1 security, bug fix, and enhancement update 2017-08-01 17:50:00 UTC

Description Martin Prpič 2015-05-04 09:32:28 UTC
A heap-based buffer overflow flaw was found in the way the libtasn1 library decoded certain DER-encoded input. A specially crafted, DER-encoded input could cause an application using libtasn1 to perform an invalid read, causing the application to crash.

Upstream patch:

http://git.savannah.gnu.org/gitweb/?p=libtasn1.git;a=commitdiff;h=f979435823a02f842c41d49cd41cc81f25b5d677

Comment 1 Martin Prpič 2015-05-04 09:33:58 UTC
Reproducer:

https://crashes.fuzzing-project.org/TFPA-2015-005-libtasn1-4.4-heap-overflow.crt

Sample malformed certificate exposing heap overflow (test with certtool -i --inder --infile=[sample] and address sanitizer or valgrind)

Comment 2 Martin Prpič 2015-05-04 09:34:45 UTC
Created libtasn1 tracking bugs for this issue:

Affects: fedora-all [bug 1218142]

Comment 3 Martin Prpič 2015-05-04 09:34:49 UTC
Created mingw-libtasn1 tracking bugs for this issue:

Affects: fedora-all [bug 1218143]
Affects: epel-7 [bug 1218144]

Comment 5 Fedora Update System 2015-05-19 16:20:45 UTC
libtasn1-4.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Huzaifa S. Sidhpurwala 2015-06-02 04:58:43 UTC
Statement:

Red Hat Product Security has rated this issue as having moderate security impact, a future update may address this flaw in the libtasn1 packages.

Comment 12 errata-xmlrpc 2017-08-01 15:09:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1860 https://access.redhat.com/errata/RHSA-2017:1860


Note You need to log in before you can comment on or make changes to this bug.